# signs_sl.cpp File Reference

Code handling saving and loading of economy data. More...

`#include "../stdafx.h"`
`#include "../signs_base.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static void | Save_SIGN ()
| Save all signs.
static void | Load_SIGN ()
| Load all signs.
## Variables
static const SaveLoad | _sign_desc []
const ChunkHandler | _sign_chunk_handlers []

## Detailed Description

Code handling saving and loading of economy data.

Definition in file signs_sl.cpp.

## Variable Documentation

const ChunkHandler _sign_chunk_handlers[]

Initial value:

     {
      { 'SIGN', Save_SIGN, Load_SIGN, NULL, NULL, CH_ARRAY | CH_LAST},
    }

const SaveLoad _sign_desc[]`[static]`

Initial value:

     {
      SLE_CONDVAR(Sign, name,  SLE_NAME,                   0, 83),
      SLE_CONDSTR(Sign, name,  SLE_STR, 0,                84, SL_MAX_VERSION),
      SLE_CONDVAR(Sign, x,     SLE_FILE_I16 | SLE_VAR_I32, 0, 4),
      SLE_CONDVAR(Sign, y,     SLE_FILE_I16 | SLE_VAR_I32, 0, 4),
      SLE_CONDVAR(Sign, x,     SLE_INT32,                  5, SL_MAX_VERSION),
      SLE_CONDVAR(Sign, y,     SLE_INT32,                  5, SL_MAX_VERSION),
      SLE_CONDVAR(Sign, owner, SLE_UINT8,                  6, SL_MAX_VERSION),
          SLE_VAR(Sign, z,     SLE_UINT8),

    }

Definition at line 17 of file signs_sl.cpp.